FileListRec_s Struct Reference

## Data Fields

struct stat | fl_st
const char * | diskURL
const char * | fileURL
const char * | uname
const char * | gname
unsigned | flags
specdFlags | specdFlags
unsigned | verifyFlags
const char * | langs

## Detailed Description

Definition at line 67 of file files.c.

## Field Documentation

const char* FileListRec_s::diskURL

Definition at line 80 of file files.c.

Referenced by addFile(), freeFileList(), genCpioListAndHeader(), and processSourceFiles().

const char* FileListRec_s::fileURL

Definition at line 82 of file files.c.

Referenced by addFile(), freeFileList(), genCpioListAndHeader(), and processSourceFiles().

struct stat FileListRec_s::fl_st

Definition at line 68 of file files.c.

Referenced by addFile(), and processSourceFiles().

unsigned FileListRec_s::flags

Definition at line 87 of file files.c.

Referenced by addFile(), checkHardLinks(), genCpioListAndHeader(), and processSourceFiles().

const char* FileListRec_s::gname

Definition at line 86 of file files.c.

Referenced by addFile(), genCpioListAndHeader(), and processSourceFiles().

const char* FileListRec_s::langs

Definition at line 91 of file files.c.

Referenced by addFile(), freeFileList(), genCpioListAndHeader(), and processSourceFiles().

specdFlags FileListRec_s::specdFlags

Definition at line 88 of file files.c.

Referenced by addFile(), and genCpioListAndHeader().

const char* FileListRec_s::uname

Definition at line 84 of file files.c.

Referenced by addFile(), genCpioListAndHeader(), and processSourceFiles().

unsigned FileListRec_s::verifyFlags

Definition at line 89 of file files.c.

Referenced by addFile(), genCpioListAndHeader(), and processSourceFiles().

The documentation for this struct was generated from the following file:

- build/files.c